<?xml version="1.0" encoding="UTF-8"?>
<MJOBCODE_LEVEL desc_thai="ทะเบียนระดับลักษณะงาน" desc_eng="Jobcode level Table" editcheck="true" mainhelp="MJOBCODE_LEVELHELP" referhelp="MJOBCODE_LEVELHELP" mainkey="LEVELID" dependlevel="true" fieldsystem="*" protype="table" deleteflag="true" config_field="">
	<FIELD>
		<LEVELID lang="A" encrypt="false" log="false" type="String">
			<KEY>1</KEY>
			<WIDTH>15</WIDTH>
			<DESC_ENG>Jobcode level ID</DESC_ENG>
			<DESC_THAI>รหัสระดับลักษณะงาน</DESC_THAI>
			<RELATION>MLEVELCONFIG</RELATION>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>3</MAXSIZE>
				<ALT_ENG>Jobcode level ID</ALT_ENG>
				<ALT_THAI>รหัสระดับลักษณะงาน</ALT_THAI>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
			</COMPONENT>
			<REQUIRE>TRUE</REQUIRE>
		</LEVELID>
		<COMPANYID lang="A" encrypt="false" log="false" type="String">
			<KEY>2</KEY>
			<WIDTH>10</WIDTH>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>10</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_ENG>Company ID</ALT_ENG>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
			</COMPONENT>
		</COMPANYID>
		<TDESC lang="T" encrypt="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>EDESC</REFER_LANG>
			<DESC_ENG>Level Detail(Thai)</DESC_ENG>
			<DESC_THAI>รายละเอียด(ไทย)</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Level Detail(Thai)</ALT_ENG>
				<ALT_THAI>รายละเอียด(ไทย)</ALT_THAI>
			</COMPONENT>
			<REQUIRE>TRUE</REQUIRE>
		</TDESC>
		<EDESC lang="E" encrypt="false" log="false" type="String">	
			<WIDTH>100</WIDTH>
			<REFER_LANG>TDESC</REFER_LANG>
			<DESC_ENG>Level Detail(Eng.)</DESC_ENG>
			<DESC_THAI>รายละเอียด(อังกฤษ)</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Level Detail(Eng.)</ALT_ENG>
				<ALT_THAI>รายละเอียด(อังกฤษ)</ALT_THAI>	
			</COMPONENT>
		</EDESC>
	</FIELD>
	<RELATION>
		<MJOBCODE>
			<PARENT>MJOBCODE_LEVEL.LEVELID</PARENT>
			<PARENT>MJOBCODE_LEVEL.COMPANYID</PARENT>
			<CHILD>MJOBCODE.JOBCODE_LEVEL</CHILD>
			<CHILD>MJOBCODE.COMPANYID</CHILD>
		</MJOBCODE>
	</RELATION>
</MJOBCODE_LEVEL>
